using System;

[Serializable]
public class CardData
{
	public CardData(CardData.Suit suit, CardData.Rank rank)
	{
		this.m_Suit = suit;
		this.m_Rank = rank;
	}

	public CardData.Suit CardSuit
	{
		get
		{
			return this.m_Suit;
		}
	}

	public CardData.Rank CardRank
	{
		get
		{
			return this.m_Rank;
		}
	}

	public int GetValue()
	{
		if (this.m_Rank < CardData.Rank.Jack)
		{
			return (int)(this.m_Rank + 1);
		}
		return 10;
	}

	public string GetAssetName()
	{
		return this.m_Rank.ToString().ToLower() + this.m_Suit.ToString().ToLower();
	}

	private const int m_MaxCardValue = 10;

	private CardData.Suit m_Suit;

	private CardData.Rank m_Rank;

	public enum Suit
	{
		Hearts,
		Diamonds,
		Spades,
		Clubs
	}

	public enum Rank
	{
		Ace,
		Two,
		Three,
		Four,
		Five,
		Six,
		Seven,
		Eight,
		Nine,
		Ten,
		Jack,
		Queen,
		King
	}
}
